Bug 9601 - Test suite failure when built with gcc 4.8.0
Test suite failure when built with gcc 4.8.0
Status: CLOSED FIXED
Product: ccache
Classification: Unclassified
Component: ccache
3.1.9
All All
: P5 normal
: 3.1.10
Assigned To: Joel Rosdahl
Joel Rosdahl
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-25 16:50 UTC by Ville Skyttä
Modified: 2014-10-19 18:35 UTC (History)
0 users

See Also:


Attachments
One more tiny test suite fix for gcc 4.8 (735 bytes, patch)
2013-03-31 18:40 UTC, Ville Skyttä
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ville Skyttä 2013-01-25 16:50:55 UTC
There's a test suite failure when ccache 3.1.9 is built with current Fedora devel's gcc 4.8.0-0.6.fc19:

starting testsuite direct
SUITE: "direct", TEST: "-Wp,-MD" - Bad content of other.d.\nExpected: test.o: test.c test1.h test3.h test2.h\nActual: test.o: test.c /usr/include/stdc-predef.h test1.h test3.h test2.h
cache directory                     /builddir/build/BUILD/ccache-3.1.9/testdir.19160/.ccache
cache hit (direct)                     0
cache hit (preprocessed)               0
cache miss                             1
files in cache                        15
cache size                            60 Kbytes
max cache size                       1.0 Gbytes
TEST FAILED
Test data and log file have been left in testdir.19160
make: *** [test] Error 1
Comment 1 Joel Rosdahl 2013-03-20 21:29:40 UTC
Fixed in b5d63f81c1a83fd4c50b769a96a04f581b7db70c.
Comment 2 Ville Skyttä 2013-03-26 16:35:53 UTC
Looks like there's still something to do; after applying b5d63f81c1a83fd4c50b769a96a04f581b7db70c on top of 3.1.9 I get another similar but not apparently quite the same failure (this is -MMD, the previous one was -MD), this is with current Fedora devel's gcc 4.8.0-0.18.fc20:

starting testsuite direct
SUITE: "direct", TEST: "-Wp,-MMD" - Bad content of other.d.\nExpected: test.o: test.c /usr/include/stdc-predef.h test1.h test3.h test2.h\nActual: test.o: test.c test1.h test3.h test2.h
cache directory                     /builddir/build/BUILD/ccache-3.1.9/testdir.20107/.ccache
cache hit (direct)                     0
cache hit (preprocessed)               0
cache miss                             1
files in cache                         3
cache size                            12 Kbytes
max cache size                       1.0 Gbytes
TEST FAILED
Test data and log file have been left in testdir.20107
make: *** [test] Error 1
Comment 3 Joel Rosdahl 2013-03-31 18:25:31 UTC
Thanks, I've pushed 5a9322c56ed0cd16255966e99077843aae57ab3e which I hope fixes this. Please try it out.
Comment 4 Ville Skyttä 2013-03-31 18:40:27 UTC
Created attachment 8705 [details]
One more tiny test suite fix for gcc 4.8

Almost there; with the attached additional patch the test suite passes here with gcc 4.7.2 and 4.8.0.
Comment 5 Joel Rosdahl 2013-03-31 19:34:14 UTC
Ah, sloppy of me. Thanks!
Comment 6 Joel Rosdahl 2014-10-19 18:35:05 UTC
Fix included in v3.1.10.